Bug 37380 - ChannelDispatcher.Interface.Messages.DRAFT is not in the spec
Summary: ChannelDispatcher.Interface.Messages.DRAFT is not in the spec
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-spec (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Simon McVittie
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks: tp-spec-1.0 69600 70382
  Show dependency treegraph
 
Reported: 2011-05-19 10:24 UTC by Vivek Dasmohapatra
Modified: 2013-10-31 14:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
[spec master] Import ChannelDispatcher.I.Messages from Mission Control master (3.36 KB, patch)
2013-10-11 16:01 UTC, Simon McVittie
Details | Splinter Review
[spec master] Complete CD.I.Messages1 (8.30 KB, patch)
2013-10-11 16:02 UTC, Simon McVittie
Details | Splinter Review
[MC master] Undraft CD.I.Messages1 (7.58 KB, patch)
2013-10-11 16:05 UTC, Simon McVittie
Details | Splinter Review
[MC master] Remove unused constants (896 bytes, patch)
2013-10-11 16:05 UTC, Simon McVittie
Details | Splinter Review
[MC master] Add CD.I.Messages1 to Interfaces (694 bytes, patch)
2013-10-11 16:06 UTC, Simon McVittie
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vivek Dasmohapatra 2011-05-19 10:24:23 UTC
New draft interface is not in the spec tree.
Comment 1 Will Thompson 2011-09-12 07:32:14 UTC
None of the arguments have any documentation.

+      <arg direction="in"  name="Flags"    type="u"/>

This is missing a tp:type.

+      <arg direction="out" name="Token"    type="s"/>

So is this.

+<node name="/Channel_Dispatcher_Interface_Messages_Draft"

I'd rather not have "draft" in the node name or file name.
Comment 2 Simon McVittie 2013-10-11 16:01:50 UTC
Created attachment 87466 [details] [review]
[spec master] Import ChannelDispatcher.I.Messages from Mission Control  master

My main concern about this interface was whether implementing it
caused MC to be unmaintainable, but it isn't too bad in practice,
just unfinished.

The one edit here, relative to Mission Control, is making the
filename end with "1.xml" instead of "_DRAFT.xml", so that
subsequent diffs on the contents aren't lost in the rename noise.
Comment 3 Simon McVittie 2013-10-11 16:02:14 UTC
Created attachment 87467 [details] [review]
[spec master] Complete CD.I.Messages1
Comment 4 Simon McVittie 2013-10-11 16:05:00 UTC
Created attachment 87468 [details] [review]
[MC master] Undraft CD.I.Messages1

---

This assumes that the patches above have been merged into telepathy-spec, and that we've done the spec -> release -> telepathy-glib -> release dance.

Someone should teach telepathy-qt about the new name for this interface, too.
Comment 5 Simon McVittie 2013-10-11 16:05:25 UTC
Created attachment 87469 [details] [review]
[MC master] Remove unused constants

---

Left over from some sort of ACL arrangement, I think.
Comment 6 Simon McVittie 2013-10-11 16:06:12 UTC
Created attachment 87470 [details] [review]
[MC master] Add CD.I.Messages1 to Interfaces

---

Nice to see that the implementation was of such high quality. :-)
Comment 7 Simon McVittie 2013-10-11 16:07:17 UTC
Alternatively, if people don't like this interface, we can leave it in master in its current broken/draft form (because telepathy-qt uses it already...), and delete it from 1.0.
Comment 8 Guillaume Desmottes 2013-10-11 21:24:43 UTC
Comment on attachment 87466 [details] [review]
[spec master] Import ChannelDispatcher.I.Messages from Mission Control  master

Review of attachment 87466 [details] [review]:
-----------------------------------------------------------------

++
Comment 9 Guillaume Desmottes 2013-10-11 21:28:04 UTC
Comment on attachment 87467 [details] [review]
[spec master] Complete CD.I.Messages1

Review of attachment 87467 [details] [review]:
-----------------------------------------------------------------

++
Comment 10 Guillaume Desmottes 2013-10-11 21:28:43 UTC
Comment on attachment 87468 [details] [review]
[MC master] Undraft CD.I.Messages1

Review of attachment 87468 [details] [review]:
-----------------------------------------------------------------

++
Comment 11 Guillaume Desmottes 2013-10-11 21:29:01 UTC
Comment on attachment 87469 [details] [review]
[MC master] Remove unused constants

Review of attachment 87469 [details] [review]:
-----------------------------------------------------------------

++
Comment 12 Guillaume Desmottes 2013-10-11 21:29:14 UTC
Comment on attachment 87470 [details] [review]
[MC master] Add CD.I.Messages1 to Interfaces

Review of attachment 87470 [details] [review]:
-----------------------------------------------------------------

++
Comment 13 Simon McVittie 2013-10-14 17:04:52 UTC
Merged to spec master. Still to do: release it in spec 0.27.3, release it in telepathy-glib 0.23.0 and merge those patches to MC.
Comment 14 Simon McVittie 2013-10-31 14:55:19 UTC
Finally fixed in git for MC 5.17 \o/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.